<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-login](./foundation-login.md) &gt; [TemplateOptions](./foundation-login.templateoptions.md)

## TemplateOptions type

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 


**Signature:**

```typescript
export type TemplateOptions = TemplateComponents & {
    somePartial?: string | SyntheticViewTemplate;
};
```
**References:** [TemplateComponents](./foundation-login.templatecomponents.md)

